<?xml version="1.0" encoding="euc-kr"?>
<SUBPROCESS_SET>

<!-- ***********************************************************************************************
     ******************************************** SLEEP ********************************************
     *********************************************************************************************** -->
     
<FLASH_INITIALIZE_SLEEP type = "SLEEP">
	<item name = "Time" value = "2000"/>
</FLASH_INITIALIZE_SLEEP>

<FLASH_ERASE_SLEEP type = "SLEEP">
	<item name = "Time" value = "2000"/>
</FLASH_ERASE_SLEEP>

<FLASH_BURNING_SLEEP type = "SLEEP">
	<item name = "Time" value = "5000"/>
</FLASH_BURNING_SLEEP>

<FLASH_FINALIZE_SLEEP type = "SLEEP">
	<item name = "Time" value = "2000"/>
</FLASH_FINALIZE_SLEEP>

<SLEEP type = "SLEEP">
	<item name = "Time" value = "2000"/>
</SLEEP>

<!-- ***********************************************************************************************
     ********************************************  EFS  ********************************************
     *********************************************************************************************** -->
     
<PrepFactImageDump type = "PACKET">
	<REQ_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" value = "75"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1" value = "-"/>
		<Item name="SybSysCmdCode" 	type = "2Byte" arrNum = "1" value = "25"/>	
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" check = "75"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1"/>
		<Item name="SybSysCmdCode" 	type = "2Byte" arrNum = "1" check = "25"/>
		<Item name="Error"	 	type = "4Byte" arrNum = "1" check = "0"/>
	</RSP_STRUCT>
	<WAITING_TIME>2000</WAITING_TIME>
</PrepFactImageDump>

<StartFactImageDump type = "PACKET">
	<REQ_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" value = "75"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1" value = "-"/>
		<Item name="SybSysCmdCode" 	type = "2Byte" arrNum = "1" value = "22"/>	
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" check = "75"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1"/>
		<Item name="SybSysCmdCode" 	type = "2Byte" arrNum = "1" check = "22"/>
		<Item name="Error"	 	type = "4Byte" arrNum = "1" check = "0"/>
	</RSP_STRUCT>
	<WAITING_TIME>2000</WAITING_TIME>
</StartFactImageDump>

<ReadFactImage type = "PACKET">
	<REQ_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" value = "75"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1" value = "-"/>
		<Item name="SybSysCmdCode" 	type = "2Byte" arrNum = "1" value = "23"/>
		<Item name="StreamState" 	type = "1Byte" arrNum = "1" value = "-"/>
		<Item name="InfoClusterSent" 	type = "1Byte" arrNum = "1" value = "-"/>
		<Item name="ClusterMapSeqNO" 	type = "2Byte" arrNum = "1" value = "-"/>
		<Item name="ClusterDataSeqNO" 	type = "4Byte" arrNum = "1" value = "-"/>	
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" check = "75"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1"/>
		<Item name="SybSysCmdCode" 	type = "2Byte" arrNum = "1" check = "23"/>
		<Item name="Error"	 	type = "4Byte" arrNum = "1" check = "0"/>
		<Item name="StreamState" 	type = "1Byte" arrNum = "1"/>
		<Item name="InfoClusterSent" 	type = "1Byte" arrNum = "1"/>
		<Item name="ClusterMapSeqNO" 	type = "2Byte" arrNum = "1"/>
		<Item name="ClusterDataSeqNO" 	type = "4Byte" arrNum = "1"/>	
		<Item name="ReadImageData" 	type = "1Byte" arrNum = "512"/>
	</RSP_STRUCT>
	<WAITING_TIME>2000</WAITING_TIME>
</ReadFactImage>

<EndFactImageDump type = "PACKET">
	<REQ_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" value = "75"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1" value = "-"/>
		<Item name="SybSysCmdCode" 	type = "2Byte" arrNum = "1" value = "24"/>	
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" check = "75"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1"/>
		<Item name="SybSysCmdCode" 	type = "2Byte" arrNum = "1" check = "24"/>
		<Item name="Error"	 	type = "4Byte" arrNum = "1" check = "0"/>
	</RSP_STRUCT>
	<WAITING_TIME>2000</WAITING_TIME>
</EndFactImageDump>

<!-- ***********************************************************************************************
     ******************************************** FLASH ********************************************
     *********************************************************************************************** -->
<DownloadInitialize type = "PACKET">
	<REQ_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" value = "33"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" check = "33"/>
		<item name="Error Code" 	type = "1Byte" arrNum = "1" />
		<Item name="Addr" 		type = "1Byte" arrNum = "4"/>
		<Item name="Offset" 		type = "1Byte" arrNum = "2"/>
	</RSP_STRUCT>
	<WAITING_TIME>10000</WAITING_TIME>
</DownloadInitialize>

<DownloadEraseCode type = "PACKET">
	<REQ_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" value = "34"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" check = "34"/>
		<item name="Error Code" 	type = "1Byte" arrNum = "1"/>
		<Item name="Addr" 		type = "1Byte" arrNum = "4"/>
		<Item name="Offset" 		type = "1Byte" arrNum = "2"/>
	</RSP_STRUCT>
	<WAITING_TIME>300000</WAITING_TIME>
</DownloadEraseCode>

<DownloadEraseEFS type = "PACKET">
	<REQ_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" value = "37"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" check = "37"/>
		<item name="Error Code" 	type = "1Byte" arrNum = "1"/>
		<Item name="Addr" 		type = "1Byte" arrNum = "4"/>
		<Item name="Offset" 		type = "1Byte" arrNum = "2"/>
	</RSP_STRUCT>
	<WAITING_TIME>300000</WAITING_TIME>
</DownloadEraseEFS>

<DownloadBurning type = "PACKET">
	<REQ_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" value = "35"/>
		<Item name="Error Code" 	type = "1Byte" arrNum = "1" value = "0"/>
		<Item name="Addr" 		type = "1Byte" arrNum = "4" value = "-"/>
		<Item name="Offset" 		type = "1Byte" arrNum = "2" value = "16384"/>
		<Item name="Data" 		type = "1Byte" arrNum = "16384" value = "-"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" check = "35"/>
		<Item name="Error Code" 	type = "1Byte" arrNum = "1" check = "0"/>
		<item name="Addr" 		type = "1Byte" arrNum = "4"/>
		<Item name="Offset" 		type = "1Byte" arrNum = "2"/>
	</RSP_STRUCT>
	<WAITING_TIME>1500</WAITING_TIME>
</DownloadBurning>

<DownloadFinalize type = "PACKET">
	<REQ_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" value = "36"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" check = "36"/>
		<item name="Error Code" 	type = "1Byte" arrNum = "1"/>
		<Item name="Addr" 		type = "1Byte" arrNum = "4"/>
		<Item name="Offset" 		type = "1Byte" arrNum = "2"/>
	</RSP_STRUCT>
	<WAITING_TIME>10000</WAITING_TIME>
</DownloadFinalize>


<DownloadReset type = "PACKET">
	<REQ_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" value = "10"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" check = "2"/>
	</RSP_STRUCT>
	<WAITING_TIME>50</WAITING_TIME>
</DownloadReset>

<PartitionInitialize type = "PACKET">
	<REQ_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" value = "80"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" check = "80"/>
		<item name="Error Code" 	type = "1Byte" arrNum = "1"/>
		<Item name="Addr" 		type = "1Byte" arrNum = "4"/>
		<Item name="Offset" 		type = "1Byte" arrNum = "2"/>
	</RSP_STRUCT>
	<WAITING_TIME>5000</WAITING_TIME>
</PartitionInitialize>


<!-- ***********************************************************************************************
     ******************************************* GENERAL *******************************************
     *********************************************************************************************** -->
<DepressKey type = "PACKET">
	<REQ_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" value = "32"/>
		<Item name="hold" 		type = "1Byte" arrNum = "1" value = "0"/>
		<Item name="key" 		type = "1Byte" arrNum = "1" value = "0x30"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1"/>
		<Item name="hold" 		type = "1Byte" arrNum = "1"/>
		<Item name="key" 		type = "1Byte" arrNum = "1"/>
	</RSP_STRUCT>
	<WAITING_TIME>5000</WAITING_TIME>
</DepressKey>

<UnlockSPC type = "PACKET">
	<REQ_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" value = "65"/>
		<Item name="Digits" 		type = "String" arrNum = "6" value = "000000"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1"/>
		<Item name="Result" 		type = "1Byte" arrNum = "1" check = "1"/>
	</RSP_STRUCT>
	<WAITING_TIME>3000</WAITING_TIME>
</UnlockSPC>


<GetESN type = "PACKET">
	<REQ_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" value = "1"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1"/>
		<Item name="Value" 		type = "4Byte" arrNum = "1"/>
	</RSP_STRUCT>
	<WAITING_TIME>2000</WAITING_TIME>
</GetESN>

<PeekSecCode type = "PACKET">
	<REQ_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1" value = "17"/>
		<Item name="Addr" 		type = "2Byte" arrNum = "1" value = "0x17"/>
		<Item name="Length" 		type = "1Byte" arrNum = "1" value = "6"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="Cmd" 		type = "1Byte" arrNum = "1"/>
		<Item name="Addr" 		type = "2Byte" arrNum = "1"/>
		<Item name="Length" 		type = "1Byte" arrNum = "1"/>
		<Item name="SPC Value" 		type = "1Byte" arrNum = "32"/>
	</RSP_STRUCT>
</PeekSecCode>



<!-- ***********************************************************************************************
     ****************************************** UTS - GPS ******************************************
     *********************************************************************************************** -->

<CGPSDiagClearGpsDataMessage type = "PACKET">
	<REQ_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" value = "75"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1" value = "13"/>
		<Item name="SubSysCmdCode" 	type = "2Byte" arrNum = "1" value = "6"/>
		<Item name="del_clock_mask" 	type = "4Byte" arrNum = "1" value = "0xFFFFFFFF"/>
		<Item name="del_pos_mask" 	type = "4Byte" arrNum = "1" value = "0xFFFFFFFF"/>
		<Item name="del_eph_mask" 	type = "4Byte" arrNum = "1" value = "0xFFFFFFFF"/>
		<Item name="del_alm_mask" 	type = "4Byte" arrNum = "1" value = "0xFFFFFFFF"/>
		<Item name="del_iono_mask" 	type = "4Byte" arrNum = "1" value = "0xFFFFFFFF"/>
		<Item name="del_sv_dir_mask" 	type = "4Byte" arrNum = "1" value = "0xFFFFFFFF"/>
		<Item name="del_sv_steer_mask" 	type = "4Byte" arrNum = "1" value = "0xFFFFFFFF"/>
		<Item name="del_sv_health_mask" type = "4Byte" arrNum = "1" value = "0xFFFFFFFF"/>
		<Item name="del_aa_data_mask" 	type = "4Byte" arrNum = "1" value = "0xFFFFFFFF"/>
		<Item name="del_rti_mask" 	type = "4Byte" arrNum = "1" value = "0xFFFFFFFF"/>		
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1"/>
		<Item name="SubSysCmdCode" 	type = "2Byte" arrNum = "1"/>
	</RSP_STRUCT>
</CGPSDiagClearGpsDataMessage>


<CGPSDiagStartTask type = "PACKET">
	<REQ_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" value = "75"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1" value = "13"/>
		<Item name="SubSysCmdCode" 	type = "2Byte" arrNum = "1" value = "8"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1"/>
		<Item name="SubSysCmdCode" 	type = "2Byte" arrNum = "1"/>
	</RSP_STRUCT>
</CGPSDiagStartTask>

<CGPSInitCmd type = "PACKET">
	<REQ_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" value = "75"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1" value = "13"/>
		<Item name="SubSysCmdCode" 	type = "2Byte" arrNum = "1" value = "100"/>
		<Item name="CGPSCmdCode" 	type = "1Byte" arrNum = "1" value = "0"/>
		<Item name="Version" 		type = "1Byte" arrNum = "1" value = "1"/>
		<Item name="ClientType" 	type = "4Byte" arrNum = "1" value = "8"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1"/>
		<Item name="SubSysCmdCode" 	type = "2Byte" arrNum = "1"/>
		<Item name="CGPSCmdCode" 	type = "1Byte" arrNum = "1"/>
		<Item name="Version" 		type = "1Byte" arrNum = "1"/>
		<Item name="ClientID" 		type = "4Byte" arrNum = "1"/>
		<Item name="Status" 		type = "4Byte" arrNum = "1"/>
	</RSP_STRUCT>
</CGPSInitCmd>

<CGPSRegisterPDCmd type = "PACKET">
	<REQ_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" value = "75"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1" value = "13"/>
		<Item name="SubSysCmdCode" 	type = "2Byte" arrNum = "1" value = "100"/>
		<Item name="CGPSCmdCode"	type = "1Byte" arrNum = "1" value = "1"/>
		<Item name="Version" 		type = "1Byte" arrNum = "1" value = "1"/>
		<Item name="ClientID" 		type = "4Byte" arrNum = "1" value = "-"/>
		<Item name="RegisterType" 	type = "1Byte" arrNum = "1" value = "0"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1"/>
		<Item name="SubSysCmdCode" 	type = "2Byte" arrNum = "1"/>
		<Item name="CGPSCmdCode" 	type = "1Byte" arrNum = "1"/>
		<Item name="Version" 		type = "1Byte" arrNum = "1"/>
		<Item name="ClientID" 		type = "4Byte" arrNum = "1"/>
		<Item name="Status" 		type = "4Byte" arrNum = "1"/>
	</RSP_STRUCT>
</CGPSRegisterPDCmd>

<CGPSActivateCmd type = "PACKET">
	<REQ_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" value = "75"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1" value = "13"/>
		<Item name="SubSysCmdCode" 	type = "2Byte" arrNum = "1" value = "100"/>
		<Item name="CGPSCmdCode"	type = "1Byte" arrNum = "1" value = "7"/>
		<Item name="Version" 		type = "1Byte" arrNum = "1" value = "1"/>
		<Item name="ClientID" 		type = "4Byte" arrNum = "1" value = "-"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1"/>
		<Item name="SubSysCmdCode" 	type = "2Byte" arrNum = "1"/>
		<Item name="CGPSCmdCode" 	type = "1Byte" arrNum = "1"/>
		<Item name="Version" 		type = "1Byte" arrNum = "1"/>
		<Item name="ClientID" 		type = "4Byte" arrNum = "1"/>
		<Item name="Status" 		type = "4Byte" arrNum = "1"/>
	</RSP_STRUCT>
</CGPSActivateCmd>

<CGPSSetParamCmd type = "PACKET">
	<REQ_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" value = "75"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1" value = "13"/>
		<Item name="SubSysCmdCode" 	type = "2Byte" arrNum = "1" value = "100"/>
		<Item name="CGPSCmdCode"	type = "1Byte" arrNum = "1" value = "12"/>
		<Item name="Version" 		type = "1Byte" arrNum = "1" value = "1"/>
		<Item name="ClientID" 		type = "4Byte" arrNum = "1" value = "-"/>
		<Item name="ParamerterType" 	type = "1Byte" arrNum = "1" value = "4"/>
		<Item name="ParameterLength" 	type = "2Byte" arrNum = "1" value = "32"/>
		<Item name="deleteParameter" 	type = "1Byte" arrNum = "32" value = "-,0x87,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1"/>
		<Item name="SubSysCmdCode" 	type = "2Byte" arrNum = "1"/>
		<Item name="CGPSCmdCode" 	type = "1Byte" arrNum = "1"/>
		<Item name="Version" 		type = "1Byte" arrNum = "1"/>
		<Item name="ClientID" 		type = "4Byte" arrNum = "1"/>
		<Item name="Status" 		type = "4Byte" arrNum = "1"/>
	</RSP_STRUCT>
</CGPSSetParamCmd>

<EventReportControl type = "PACKET">
	<REQ_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" value = "96"/>
		<Item name="OperationSwitch" 	type = "1Byte" arrNum = "1" value = "1"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1"/>
		<Item name="Length" 		type = "2Byte" arrNum = "1"/>		
	</RSP_STRUCT>
</EventReportControl>

<CGPSStartCmd type = "PACKET">
	<REQ_STRUCT>
		<Item name="CmdCode" 			type = "1Byte" arrNum = "1" value = "75"/>
		<Item name="SubSysID" 			type = "1Byte" arrNum = "1" value = "13"/>
		<Item name="SubSysCmdCode" 		type = "2Byte" arrNum = "1" value = "100"/>
		<Item name="CGPSCmdCode"		type = "1Byte" arrNum = "1" value = "10"/>
		<Item name="Version" 			type = "1Byte" arrNum = "1" value = "1"/>
		<Item name="SessionType" 		type = "1Byte" arrNum = "1" value = "2"/>
		<Item name="OperatingType" 		type = "1Byte" arrNum = "1" value = "-"/>
		<Item name="ServerOption" 		type = "1Byte" arrNum = "1" value = "-"/>
		<Item name="ServerAddrType" 		type = "1Byte" arrNum = "1" value = "0"/>
		<Item name="ClassID" 			type = "4Byte" arrNum = "1" value = "0"/>
		<Item name="QOSGPSSessionTimeout" 	type = "1Byte" arrNum = "1" value = "-"/>
		<Item name="QOSThreshold" 		type = "4Byte" arrNum = "1" value = "50"/>
		<Item name="TBF" 			type = "4Byte" arrNum = "1" value = "-"/>
		<Item name="NumFixes" 			type = "4Byte" arrNum = "1" value = "-"/>
		<Item name="ClientID" 			type = "4Byte" arrNum = "1" value = "-"/>
		<Item name="Reserved" 			type = "1Byte" arrNum = "8" value = "0,0,0,0,0,0,0,0"/>
		<Item name="ServerAddress" 		type = "4Byte" arrNum = "1" value = "-"/>
		<Item name="ServerPort" 		type = "4Byte" arrNum = "1" value = "-"/>
		<Item name="URLLength" 			type = "1Byte" arrNum = "1" value = "1"/>
		<Item name="URLAddress" 		type = "1Byte" arrNum = "1" value = "0"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="CmdCode" 			type = "1Byte" arrNum = "1"/>
		<Item name="SubSysID" 			type = "1Byte" arrNum = "1"/>
		<Item name="SubSysCmdCode" 		type = "2Byte" arrNum = "1"/>
		<Item name="CGPSCmdCode" 		type = "1Byte" arrNum = "1"/>
		<Item name="Version" 			type = "1Byte" arrNum = "1"/>
		<Item name="ClientID" 			type = "4Byte" arrNum = "1"/>
		<Item name="Status" 			type = "4Byte" arrNum = "1"/>
	</RSP_STRUCT>
</CGPSStartCmd>

<CGPSDownloadCmd type = "PACKET">
	<REQ_STRUCT>
		<Item name="CmdCode" 			type = "1Byte" arrNum = "1" value = "75"/>
		<Item name="SubSysID" 			type = "1Byte" arrNum = "1" value = "13"/>
		<Item name="SubSysCmdCode" 		type = "2Byte" arrNum = "1" value = "100"/>
		<Item name="CGPSCmdCode"		type = "1Byte" arrNum = "1" value = "10"/>
		<Item name="Version" 			type = "1Byte" arrNum = "1" value = "1"/>
		<Item name="SessionType" 		type = "1Byte" arrNum = "1" value = "2"/>
		<Item name="OperatingType" 		type = "1Byte" arrNum = "1" value = "3"/>
		<Item name="ServerOption" 		type = "1Byte" arrNum = "1" value = "0"/>
		<Item name="ServerAddrType" 		type = "1Byte" arrNum = "1" value = "0"/>
		<Item name="ClassID" 			type = "4Byte" arrNum = "1" value = "0"/>
		<Item name="QOSGPSSessionTimeout" 	type = "1Byte" arrNum = "1" value = "16"/>
		<Item name="QOSThreshold" 		type = "4Byte" arrNum = "1" value = "50"/>
		<Item name="TBF" 			type = "4Byte" arrNum = "1" value = "10"/>
		<Item name="NumFixes" 			type = "4Byte" arrNum = "1" value = "1"/>
		<Item name="ClientID" 			type = "4Byte" arrNum = "1" value = "-"/>
		<Item name="reserved" 			type = "1Byte" arrNum = "8" value = "0,0,0,0,0,0,0,0"/>
		<Item name="ServerAddress" 		type = "4Byte" arrNum = "1" value = "0"/>
		<Item name="ServerPort" 		type = "4Byte" arrNum = "1" value = "0"/>
		<Item name="URLLength" 			type = "1Byte" arrNum = "1" value = "1"/>
		<Item name="URLAddress" 		type = "1Byte" arrNum = "1" value = "0"/>
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="CmdCode" 			type = "1Byte" arrNum = "1"/>
		<Item name="SubSysID" 			type = "1Byte" arrNum = "1"/>
		<Item name="SubSysCmdCode" 		type = "2Byte" arrNum = "1"/>
		<Item name="CGPSCmdCode" 		type = "1Byte" arrNum = "1"/>
		<Item name="Version" 			type = "1Byte" arrNum = "1"/>
		<Item name="ClientID" 			type = "4Byte" arrNum = "1"/>
		<Item name="Status" 			type = "4Byte" arrNum = "1"/>
	</RSP_STRUCT>
</CGPSDownloadCmd>


<CGPSEndCmd type = "PACKET">
	<REQ_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1" value = "75"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1" value = "13"/>
		<Item name="SubSysCmdCode" 	type = "2Byte" arrNum = "1" value = "100"/>
		<Item name="CGPSCmdCode"	type = "1Byte" arrNum = "1" value = "11"/>
		<Item name="Version" 		type = "1Byte" arrNum = "1" value = "1"/>
		<Item name="EndType" 		type = "4Byte" arrNum = "1" value = "0"/>
		<Item name="ClientID" 		type = "4Byte" arrNum = "1" value = "-"/>		
	</REQ_STRUCT>
	<RSP_STRUCT>
		<Item name="CmdCode" 		type = "1Byte" arrNum = "1"/>
		<Item name="SubSysID" 		type = "1Byte" arrNum = "1"/>
		<Item name="SubSysCmdCode" 	type = "2Byte" arrNum = "1"/>
		<Item name="CGPSCmdCode" 	type = "1Byte" arrNum = "1"/>
		<Item name="Version" 		type = "1Byte" arrNum = "1"/>
		<Item name="ClientID" 		type = "4Byte" arrNum = "1"/>
		<Item name="Status" 		type = "4Byte" arrNum = "1"/>
	</RSP_STRUCT>
</CGPSEndCmd>


</SUBPROCESS_SET>


